* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html, body {
  height: 100%;
}

body {
  font-family:Arial, Helvetica, sans-serif;
  background-color: #9d947d;
}
body::before {
  content: "";
  position: fixed;
  inset: 0;

  background-image: url("assets/portfolio-background.jpg");
  background-repeat:repeat-x;
  background-position: bottom;
  background-size:contain;

  opacity: 0.1;
  mix-blend-mode: multiply;

  pointer-events: none;
  z-index: -1;
}

.layout {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
  padding: 2rem;
  max-width: 50vw;
  margin: 0 auto;
  height: 100dvh;
  overflow-y: auto;
  background-color: #c5b79e;
  scrollbar-width: none;
}

.layout::-webkit-scrollbar {
  display: none;
}

.sidebar {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: sticky;
  top: 0;
  align-self: start;
}

h1, h2, h3 {
  text-align: center;
  margin-bottom: 0.5rem; 
}
p {
  text-align: left;
  margin-bottom: 0.5rem; 
}

.profile-photo {
  text-align: center;
}

.profile-photo img {
  width: 200px;
  height: 200px;
  object-fit: cover;
  border-radius: 50%;
}

.card {
  color: #2a2831;
  background-color: #b4a68c;
  margin-bottom: 2rem;
  padding: 1rem;
  border-radius: 0.5rem;
}

.tech-stack {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 15px;
  margin: 10px 0;
}

.tech-logo {
  width: 40px;
  height: 40px;
  object-fit: contain;
}

.card-content {
  display: grid;
  grid-template-rows: 0fr;
  transition: grid-template-rows 0.4s ease;
}
.expand-text {
  width: 100%;
  padding: 8px 0;
  background: transparent;
  border: none;
  cursor: pointer;
}

.handle {
  display: block;
  width: 40px;
  height: 4px;
  margin: 0 auto;
  border-radius: 999px;
  background: #9d947d;
  transition: all 0.2s ease;
}

.expand-text:hover .handle {
  background: #8f8772;
}

.card-content > * {
  overflow: hidden;
}

.card.open .card-content {
  grid-template-rows: 1fr;
}

.project-highlights {
    display: flex;
    flex-direction: column;
    margin: 1rem 0;
    justify-content: center;
    list-style: none;
    padding: 0;
}

.project-highlights li {
    padding: 0.5rem 0;
    border-top: 1px solid #9d947d;
    font-weight: 500;
    line-height: 1.4;
}

.project-links {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
  margin: 15px 0 10px;
}

.demo-link {
  align-items: center;
  display: flex;
}

.link-logo {
  width: 40px;
  height: 40px;
  object-fit: contain;
}

.link-logo:hover {
  opacity: 0.8;
}

.social-links {
    display: flex;
    justify-content: center;
    gap: 1rem;
    margin: 1rem 0;
}

.social-icon {
  width: 40px;
  height: 40px;
  object-fit: contain;
}